Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Cg Toolkit provides a compiler for the Cg shader language	
Name: 		Cg
Version: 	1.5
Release: 	2
License: 	NVIDIA
Group: 		System/Libraries
Source0:	Cg-1.5_Sep2007_x86.tar.gz
URL: 		http://developer.nvidia.com/object/cg_toolkit.html
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The Cg Toolkit provides a compiler for the Cg language,
runtime libraries for use with both leading graphics APIs, 
runtime libraries for CgFX, example applications, and 
extensive documentation. Supporting over 24 different 
OpenGL and DirectX profile targets, Cg will allow you 
to incorporate stunning interactive effects into your 
3D applications. The components include:

	- NVIDIA Cg Compiler Release 1.5
	- Unified Cg/CgFX Runtime
	- Cg User's Manual
	- Cg Language Specification
	- Example programs and shaders

We hope that you will enjoy the exciting world of Cg programming.

%prep
%setup -q -c Cg-1.5 -n Cg-1.5

%build
cd usr
mv local/Cg share/Cg
rm -rf local

%install
rm -rf $RPM_BUILD_ROOT
cd usr
mkdir -p %{buildroot}/usr
cp -dpR * %{buildroot}/usr/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%_bindir/cgc
%_includedir/Cg
%_libdir/libCg.so
%_libdir/libCgGL.so
%_datadir/Cg/*
%_mandir/man3/cg*.3.gz
%_mandir/manCg/*

%changelog
* Mon Oct 29 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.5-2
- Version Update to September Version
* Thu Jun 28 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.5-1
- Initial release
